import { useTooltip } from '@/components/Tooltip/hooks/useTooltip';
import * as React from 'react';
type ContextType = ReturnType<typeof useTooltip> | null;
export declare const TooltipContext: React.Context<ContextType>;
export declare const useTooltipState: () => {
    placement: import('@floating-ui/utils').Placement;
    strategy: import('@floating-ui/utils').Strategy;
    middlewareData: import('@floating-ui/core').MiddlewareData;
    x: number | null;
    y: number | null;
    update: () => void;
    reference: (node: import('@floating-ui/react-dom-interactions').ReferenceType | null) => void;
    floating: (node: HTMLElement | null) => void;
    context: import('@floating-ui/react-dom-interactions').FloatingContext<import('@floating-ui/react-dom-interactions').ReferenceType>;
    refs: import('@floating-ui/react-dom-interactions').ExtendedRefs<import('@floating-ui/react-dom-interactions').ReferenceType>;
    getReferenceProps: (userProps?: React.HTMLProps<Element> | undefined) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement> | undefined) => Record<string, unknown>;
    getItemProps: (userProps?: React.HTMLProps<HTMLElement> | undefined) => Record<string, unknown>;
    open: boolean;
    setOpen: (open: boolean) => void;
    arrowRef: React.MutableRefObject<null>;
};
export {};
