import { TButtonType, TButtonStyle, EIconPosition, EButtonSize } from '@/components/Button/types/types';
import { ReactNode } from 'react';

export interface IButtonProps {
    className?: string;
    type: TButtonType;
    style: TButtonStyle;
    iconPosition?: EIconPosition;
    size?: EButtonSize;
    isDisabled?: boolean;
    children?: ReactNode;
    icon?: ReactNode;
    onClick?: () => void;
    isLoading?: boolean;
}
declare const _default: import('react').MemoExoticComponent<({ className, children, iconPosition, type, style, onClick, icon, size, isLoading, isDisabled, ...otherProps }: IButtonProps) => import("react/jsx-runtime").JSX.Element>;
export default _default;
